part of fullauth_api_flutter_client_library;

class OauthAccessToken {
  List<String> scopes;
  String accessToken;
  String type;
  String tokenType;
  int expires;
  String projId;
  String userId;
  List<String> acctIds;

  void setAccessToken(String accessToken) {
    this.accessToken = accessToken;
  }

  OauthAccessToken(
      {this.scopes, this.accessToken, this.type, this.tokenType, this.expires, this.projId, this.userId, this.acctIds});

  OauthAccessToken.fromJson(Map<String, dynamic> json) {
    scopes = json['scopes'].cast<String>();
    accessToken = json['access_token'];
    type = json['type'];
    tokenType = json['token_type'];
    expires = json['expires'];
    projId = json['proj_id'];
    userId = json['user_id'];
    acctIds = json['acct_ids'].cast<String>();
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['scopes'] = this.scopes;
    data['access_token'] = this.accessToken;
    data['type'] = this.type;
    data['token_type'] = this.tokenType;
    data['expires'] = this.expires;
    data['proj_id'] = this.projId;
    data['user_id'] = this.userId;
    data['acct_ids'] = this.acctIds;
    return data;
  }
}
